From 26df9317dc027d73d2a4cd336a3287d6de364e93 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Sat, 16 Sep 2017 21:54:20 +0200
Subject: [PATCH] Hide the Add Annotation button unless logged in

Only logged in users are allowed to add annotations on the patch
emails, hide the button when the user isn't logged in (the actual
operation of addAnnotation() is already protected by auth required
so no need to change backend logic).

Per request from Peter Geoghegan
---
 pgcommitfest/commitfest/templates/patch.html | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/pgcommitfest/commitfest/templates/patch.html b/pgcommitfest/commitfest/templates/patch.html
index 8fbf458..3ed775e 100644
--- a/pgcommitfest/commitfest/templates/patch.html
+++ b/pgcommitfest/commitfest/templates/patch.html
@@ -100,7 +100,7 @@
              </table>
              {%endif%}
 	     {%endfor%}
-	     <button class="btn btn-xs btn-default" onclick="addAnnotation({{t.id}})">Add annotation</button>
+	     {%if user.is_authenticated%}<button class="btn btn-xs btn-default" onclick="addAnnotation({{t.id}})">Add annotation</button>{%endif%}
 	   </div>
 	 </dd>
 	{%endfor%}
-- 
2.14.1.145.gb3622a4ee

